# Key Performance Indicator

This module provides the basis for creating key performance indicators, including static and dynamic thresholds (SQL query or Python code), on local and remote data sources.

The module also provides the mecanism to update KPIs automatically. A scheduler is executed every hour and updates the KPI values, based on the periodicity of each KPI. KPI computation can also be done manually.

A threshold is a list of ranges and a range is:

- a name (like Good, Warning, Bad)
- a minimum value (fixed, sql query or python code)
- a maximum value (fixed, sql query or python code)
- color (RGB code like #00FF00 for green, #FFA500 for orange, #FF0000 for red)

Table of contents

- Usage
- Bug Tracker
- Credits
  - Authors
  - Contributors
  - Maintainers

# Usage

Example of usage: https://www.youtube.com/watch?v=OC4-y2klzIk

# Bug Tracker

Bugs are tracked on GitHub Issues. In case of trouble, please check there if your issue has already been reported. If you spotted it first, help us to smash it by providing a detailed and welcomed feedback.

Do not contact contributors directly about support or help with technical issues.

# Credits

## Authors

- Savoir-faire Linux

## Contributors

- Daniel Reis <dreis.pt@hotmail.com>
- Glen Dromgoole <gdromgoole@tier1engineering.com>
- Loic Lacroix <loic.lacroix@savoirfairelinux.com>
- Sandy Carter <sandy.carter@savoirfairelinux.com>
- Gervais Naoussi <gervaisnaoussi@gmail.com>
- Iván Todorovich <ivan.todorovich@gmail.com>
- Adrià Gil <adria.gil@eficent.com>

## Maintainers

This module is maintained by the OCA.

OCA, or the Odoo Community Association, is a nonprofit organization whose mission is to support the collaborative development of Odoo features and promote its widespread use.

This module is part of the OCA/reporting-engine project on GitHub.

You are welcome to contribute. To learn how please visit https://odoo-community.org/page/Contribute.